%global npm_name nan

%{?nodejs_find_provides_and_requires}

Summary:       Native Abstractions for Node.js 
Name:          nodejs-%{npm_name}
Version:       1.2.0
Release:       2%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/rvagg/nan
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-devel
%if 0%{?enable_tests}
BuildRequires:  npm()
%endif
BuildArch:     noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

# nan is a header only library statically included by dependents
Provides:      nodejs-nan-devel = %{version}-%{release}
Provides:      nodejs-nan-static = %{version}-%{release}

%description
A header file filled with macro and utility goodness
for making add on development for Node.js easier across
versions 0.8, 0.10 and 0.11, and eventually 0.12.

Thanks to the crazy changes in V8 (and some in Node core),
keeping native add-on compiling happily across versions,
particularly 0.10 to 0.11/0.12, is a minor nightmare. 
The goal of this project is to store all logic necessary
to develop native Node.js add-on without having to inspect 
NODE_MODULE_VERSION and get yourself into a macro-tangle.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}@1
cp -pr include_dirs.js nan.h package.json  %{buildroot}%{nodejs_sitelib}/%{npm_name}@1

ln -sf nan@1 %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}
%{nodejs_sitelib}/%{npm_name}@1

%pretrans -p <lua>
-- Define the path to directory being replaced below.
-- DO NOT add a trailing slash at the end.
path = "%{nodejs_sitelib}/%{npm_name}"
st = posix.stat(path)
if st and st.type == "directory" then
  status = os.rename(path, path .. ".rpmmoved")
  if not status then
    suffix = 0
    while not status do
      suffix = suffix + 1
      status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
    end
    os.rename(path, path .. ".rpmmoved")
  end
end

%changelog
* Mon Jun 09 2014 Troy Dawson <tdawson@redhat.com> - 1.2.0-2
- Fix the co-existance link

* Mon Jun 09 2014 Troy Dawson <tdawson@redhat.com> - 1.2.0-1
- Update to version 1.2.0

* Sun May 25 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-2
- support coexistence with nodejs-nan0
- comply with the header only library policy

* Fri May 09 2014 Troy Dawson <tdawson@redhat.com> - 1.0.0-1
- Update to version 1.0.0

* Thu Feb 06 2014 Troy Dawson <tdawson@redhat.com> - 0.8.0-1
- Update to version 0.8.0
- add nodejs exclusive arch
- add macro to invoke dependency generator on EL6

* Fri Nov 08 2013 Troy Dawson <tdawson@redhat.com> - 0.4.4-1
- Update to 0.4.4

* Mon Oct 07 2013 Troy Dawson <tdawson@redhat.com> - 0.4.1-1
- Initial build
